> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/channels
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/channels:
    get:
      tags:
        - Channels
      summary: List channels
      operationId: listChannelsWorkspaceTokenAPI
      parameters:
        - name: includes
          in: query
          schema:
            type: array
            items:
              const: integration
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: \d+
                        name:
                          type: string
                        channel:
                          type: string
                        status:
                          type: string
                      required:
                        - id
                        - name
                        - channel
                        - status
                  pageCount:
                    type: number
                required:
                  - data
                  - pageCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````